Browse Source

👔 Update Marlin actions for 2.1.x

Scott Lahteine 2 years ago
parent
commit
41a9dea149

+ 21 - 1
.github/workflows/bump-date.yml

@@ -23,7 +23,27 @@ jobs:
       with:
         ref: bugfix-2.1.x
 
-    - name: Bump Distribution Date
+    - name: Bump Date (bugfix-2.0.x)
+      run: |
+        # Inline Bump Script
+        if [[ ! "$( git log -1 --pretty=%B )" =~ ^\[cron\] ]]; then
+          DIST=$( date +"%Y-%m-%d" )
+          eval "sed -E -i 's/(#define +STRING_DISTRIBUTION_DATE) .*$/\1 \"$DIST\"/g' Marlin/src/inc/Version.h" && \
+          eval "sed -E -i 's/(#define +STRING_DISTRIBUTION_DATE) .*$/\1 \"$DIST\"/g' Marlin/Version.h" && \
+          git config user.name "${GITHUB_ACTOR}" && \
+          git config user.email "${GITHUB_ACTOR}@users.noreply.github.com" && \
+          git add . && \
+          git commit -m "[cron] Bump distribution date ($DIST)" && \
+          git push
+        fi
+        exit 0
+
+    - name: Check out bugfix-2.1.x
+      uses: actions/checkout@v2
+      with:
+        ref: bugfix-2.1.x
+
+    - name: Bump Date (bugfix-2.1.x)
       run: |
         # Inline Bump Script
         if [[ ! "$( git log -1 --pretty=%B )" =~ ^\[cron\] ]]; then

+ 3 - 2
.github/workflows/check-pr.yml

@@ -12,6 +12,7 @@ on:
     - 1.0.x
     - 1.1.x
     - 2.0.x
+    - 2.1.x
 
 jobs:
   bad_target:
@@ -26,8 +27,8 @@ jobs:
         comment: >
           Thanks for your contribution! Unfortunately we can't accept PRs directed at release branches. We make patches to the bugfix branches and only later do we push them out as releases.
 
-          Please redo this PR starting with the `bugfix-2.1.x` branch and be careful to target `bugfix-2.1.x` when resubmitting the PR.
+          Please redo this PR starting with the `bugfix-2.1.x` branch and be careful to target `bugfix-2.1.x` when resubmitting the PR. Patches may also target `bugfix-2.0.x` if they are specifically for 2.0.9.x.
 
-          It may help to set your fork's default branch to `bugfix-2.1.x`.
+          It may help to set your fork's default branch to `bugfix-2.0.x`.
 
           See [this page](http://marlinfw.org/docs/development/getting_started_pull_requests.html) for full instructions.

+ 2 - 0
.github/workflows/test-builds.yml

@@ -8,6 +8,7 @@ name: CI
 on:
   pull_request:
     branches:
+    - bugfix-2.0.x
     - bugfix-2.1.x
     paths-ignore:
     - config/**
@@ -16,6 +17,7 @@ on:
     - '**/*.md'
   push:
     branches:
+    - bugfix-2.0.x
     - bugfix-2.1.x
     paths-ignore:
     - config/**

+ 3 - 1
buildroot/bin/use_example_configs

@@ -1,8 +1,10 @@
 #!/usr/bin/env bash
 
+BRANCH=$(git branch 2>/dev/null | grep ^* | sed 's/\* //g')
+
 IFS=: read -r PART1 PART2 <<< "$@"
 [ -n "${PART2}" ] && { REPO="$PART1" ; RDIR="${PART2// /%20}" ; } \
-                  || { REPO=bugfix-2.1.x   ; RDIR="${PART1// /%20}" ; }
+                  || { REPO=$BRANCH   ; RDIR="${PART1// /%20}" ; }
 EXAMPLES="https://raw.githubusercontent.com/MarlinFirmware/Configurations/$REPO/config/examples"
 
 which curl >/dev/null && TOOL='curl -L -s -S -f -o wgot'